#define AUDIO_API__OSS

#define BBCTAPE_AUDIO_DEVICE "/dev/dsp"
#define BBCTAPE_DEFAULT_SAMPLE_FREQ 44100


/* BBC tape file format
 */
#define BBCTAPE_DEFAULT_BAUD_RATE            1200
#define BBCTAPE_DEFAULT_BLOCK_SIZE            256
#define BBCTAPE_DEFAULT_START_BITS              0
#define BBCTAPE_DEFAULT_NUMBER_OF_START_BITS    1
#define BBCTAPE_DEFAULT_STOP_BITS               1
#define BBCTAPE_DEFAULT_NUMBER_OF_STOP_BITS     1
//#define BBCTAPE_DEFAULT_START_STOP_BITS      "0/1"

#define SYNC_BYTE     0x2a
#define SYNC_BUGF     0xaa
#define DATA_BITS        8
#define HEADER_SPACE  6000
#define BLOCK_SPACE   1200
#define SYNC_LENGTH    500


#define CASSETTE_REMAINDER_HEADER_SIZE (4+4+2+2+1+4+2)

struct bbctape_block {
#define CASSETTE_MAX_HEADER_SIZE  (1+11+4+4+2+2+1+4+2)
	unsigned char header[ CASSETTE_MAX_HEADER_SIZE ];
	int  header_length;

	char name[11]; /* 10 + terminator */
	unsigned long  load_address;
	unsigned long  exec_address;
	unsigned short number;
	unsigned short length;
	unsigned char  flags;
	unsigned char  spare[4];
	unsigned short header_crc;
	unsigned char *data;
	unsigned short data_crc;

	bool passed_crc;
};
